Package org.apache.sysds.runtime.io

# Class FileFormatProperties

java.lang.Object
org.apache.sysds.runtime.io.FileFormatProperties

Direct Known Subclasses:
  `CustomProperties`, `FileFormatPropertiesCOG`, `FileFormatPropertiesCSV`, `FileFormatPropertiesHDF5`, `FileFormatPropertiesLIBSVM`, `FileFormatPropertiesMM`, `SampleProperties`

public class FileFormatProperties extends Object

## Constructor Summary

Constructors
Constructor
Description
`FileFormatProperties()`
`FileFormatProperties(int blen)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBlocksize()`
`String`
`getDescription()`
`boolean`
`knownBlocksize()`
`void`
`setDescription(String description)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileFormatProperties

public FileFormatProperties()

### FileFormatProperties

public FileFormatProperties(int blen)

## Method Details

### getBlocksize

public int getBlocksize()

### knownBlocksize

public boolean knownBlocksize()

### getDescription

public String getDescription()

### setDescription

public void setDescription(String description)